Skip to main content
PUT
Update custom journal entry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business the custom journal entry belongs to.

customJournalEntryId
string<uuid>
required

The UUID of the custom journal entry to update.

Body

application/json
entry_at
string<date-time>
required

When the journal entry should be recorded effective in the ledger.

created_by
string
required

Identifier of the user or system that created the journal entry.

memo
string
required

Description or memo of the journal entry.

line_items
object[]
required

Line items for the journal entry. The credits and debits must balance.

external_id
string | null

External ID for the journal entry within your platform. Idempotency key.

customer_id
string<uuid> | null

ID of the customer to associate with the journal entry.

customer_external_id
string | null

External ID of the customer to associate with the journal entry.

vendor_id
string<uuid> | null

ID of the vendor to associate with the journal entry.

vendor_external_id
string | null

External ID of the vendor to associate with the journal entry.

tags
object[]

Tags to associate with the journal entry.

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB.

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the custom journal entry. Can be used to filter when listing custom journal entries.

Response

200 - application/json

Custom journal entry updated successfully.

data
object
required